Bug 135765 - should not hardcode system_u:object_r:removable_t
should not hardcode system_u:object_r:removable_t
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 17:18 EDT by Colin Walters
Modified: 2013-03-05 22:41 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.0.cvs20050318-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 12:45:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2004-10-14 17:18:07 EDT
Description of problem:

The HAL CVS hardcodes the SELinux security context
"system_u:object_r:removable_t" in the storage-policy.fdi file.  From
the changelog it looks like there's some work on changing it to use
"get_selinux_removable_context"; just adding a Bugzilla here so it
doesn't get lost.
Comment 1 David Zeuthen 2005-03-21 12:45:57 EST
We now have a callout that picks up the right options.

Note You need to log in before you can comment on or make changes to this bug.